package operators;

/**
 *
 * @author Lefteris Moussiades
 */
public class BitWise {

    static void logicalUse() {
        int i = 1, j = 2;
        System.out.println("i++>0 | j++>0 is " + (i++ | j++)); //bitwise or
        System.out.println(i + " " + j);
    }

    static void shiftOps() {
        int i = 0;
        int j = ~i;
        System.out.println(j);
        i = -1;
        j = i << 1;
        System.out.println(i + " " + j);
        j = i >> 1;
        System.out.println(i + " " + j);
        j = i >>> 1;
        System.out.println(i + " " + j);
    }

    static void bitWise() {
        int i = 2;
        int j = 1;

        System.out.println("i|j " + (i | j));
        System.out.println(i + " " + j);
        System.out.println("i&j " + (i & j));
        System.out.println("i^j " + (i ^ j));
    }

    public static void main(String[] args) {

        shiftOps();
        //bitWise();
        //logicalUse();
    }

}
